#! /bin/env perl
use strict;
use warnings;
use KeyedMutex::Redis;

my $kr = KeyedMutex::Redis->new(
    +{
        redis_host => 'localhost',
        redis_port => 6379,
    }
);
if (my $lock = $kr->lock('lock_key')) {
    # ロック取得後の処理を実行
    $kr->release; # ロックの解放
}
